Subject: Object-Oriented Programming Newsletter #7 from Bruce Eckel

From: [email-masked]
Date: Mon, 29 Nov 1999 15:00:45 -0800

To unsubscribe send a blank email to [email-masked]
You are subscribed as [email-masked] 
To modify your email address, go to http://earth.lyris.net/cgi-bin/lyris.pl?enter=eckel-oo-programming

Object-Oriented Programming Newsletter #7 from Bruce Eckel

= = = Contents = = =
--- Java ---
  * Java Design Patterns & Idioms next week
  * CORBA/Java seminar needs signups ASAP
--- C++ ---
  * Big changes to Thinking in C++ Vol 1
--- My public speaking schedule ---
  * San Diego Java User's Group
  * In San Diego through March
--- Python ---
  * Andrea & I begin creation of a Python seminar
--- European Seminars ---
  * Hands-On Java Seminars in Italy & Switzerland
  * Sun sponsors Java Design Patterns seminar in Prague
--- Design ---
  * Designing more usable software and Web applications
--- A new server, again ---
  * Looking for Internet superwonks in San Diego

___| Java |______________________________________

* Java Design Patterns & Idioms next week 

The new version of the "Java Design Patterns & Idioms"
seminar is next week. This course is for people who
understand the language and feel comfortable with OOP, and
are ready to move on to more advanced design concepts. We
found that the first iteration of this (which included
Object-Oriented Analysis & Design) was very successful but
we wanted to expand the Patterns & Idioms portion, so next
week is all design patterns & idioms. As I am working on
books nonstop for the next few months, the next iteration
of this seminar will not be until next summer in Crested
Butte. If you're interested in next week, we can still fit
in a few more people. See:
http://www.mindview.net/JavaDesignPatternsIdioms.html

* CORBA/Java seminar needs signups ASAP

The CORBA/Java seminar, January 10-14 in San Diego,
currently has 3 people signed up for it. We're thinking it
may be too close to the holidays, but whatever the reason,
if we can't get a total of at least 12 by December 17,
we'll have to cancel it and the next one won't be until
Summer in Crested Butte. This course is one of the easier
ways to learn CORBA. It assumes you already understand
what's in the Hands-On-Java course. If you've been thinking
about coming to San Diego, now's the time to act!
http://www.mindview.net/CorbaJavaSeminar.html

___| C++ |_______________________________________

* Big changes to Thinking in C++ Vol 1

Version 6 is now up on the web site, available for
downloading. I'm now through Chapter 14, rewriting and
adding exercises, with only two more to go (and Chapter 1).
The copy editor is finished through Chapter 10, and all
these have been incorporated. I'm also trying to clean
everything else up (although I haven't yet gotten to the
drawings).

Because of the images, the RTF version has gotten too huge
and I've changed to distributing an HTML version (along
with the Word & Text versions, and the source code). The
diagrams, unfortunately, do not show up on the HTML
version.

Note that the server often jams up after I put up a new
version, so please be patient.

I have fallen behind woefully in working on the email
corrections that many of you have sent me, and there's a
big pile of them. But in the meantime there's been so much
rewriting that many of the issues have been fixed. If you
have sent in a bug that hasn't been fixed (see the latest
version of the book), please resend it, it would save a lot
of time. I'm especially looking for bugs in programs, and
explanations where I've gotten something technically wrong.

Your help is invaluable on this project. As you know, C++
has lots of dark corners and even though I've been working
with the language almost since it began, I keep discovering
them.

___| My public speaking schedule |_______________

* San Diego Java User's Group

On the evening of December 21, I will be giving a
presentation on "Python for Java Programmers" to the San
Diego Java User's group. Admission is open to the public.
You can find out more at http://jug.dtai.com

* In San Diego through March

I am in San Diego working steadily on the books through
March (with the exception of the Software Development
Conference). If you are in San Diego and have a non-profit
group or you're a bookstore and you'd like me to speak,
contact me and we can try to schedule something. Please
note I'm not traveling during this period.

___| Python |____________________________________

* Andrea & I begin creation of a Python seminar

My associate Andrea Provaglio and I both continue to be
fascinated by this terrific and tremendously productive
language, and so we are in the early planning stages of a
3-day hands-on introduction to programming with Python.
Stay tuned; developments will be announced here and on the
calendar.

___| European Seminars |_________________________

These continue to firm up. Further details will be
announced here and on the web site.

* Hands-On Java Seminars in Italy & Switzerland

Switzerland (exact location to be determined): April 10-14 
Piacenza, Italy (at Marco Cantu's seminar center): May 8-12

* Sun sponsors Java Design Patterns seminar in Prague

Sun has kindly offered to co-sponsor this with my friends
at Star in Prague. Details are being worked out and will be
announced here and on the web site.

___| Design |____________________________________

* Designing more usable software and Web applications

My friends Larry Constantine and Lucy Lockwood are giving
this seminar based on their recent book "Usage-Centered
Design." This is especially helpful for developing the user
interfaces (something that "use cases" only imply).
February 7-11. Full details at
http://foruse.com/seminars.htm
Mention BruceEckel.com when you register and you'll get a
$100 discount.

* General Web design

Daniel Will-Harris, who designs my books & covers and the
Hands-On Java CD ROM, has created a site (which is more of
a magazine or book, really, since they have many authors)
to teach you all aspects of web site design.
http://www.efuse.com

___| A new server, again |_______________________

* Looking for Internet superwonks in San Diego

As mentioned, I'll be working in San Diego for the next few
months and I am going to attempt (again) to put up a new
server in place of the creaky one. Now, I know how to
install Linux and configure Apache and all that. I haven't
been able to figure out how to set up the kernel
configuration (or whatever) so that I can plug the box into
the net. And email and all that. If you're in San Diego and
know these things and have a little time (it shouldn't take
more than a few hours) please email me an hourly rate.
Thanks!

___| Until Next Time... |________________________

I'm getting more and more swamped with emails and am
working heads-down on books, so it's hard to get through to
me. If you have programming questions, you should instead
go to:
http://www.mindview.net/TIJ2/index.html#JavaProgQuestions

Remember that the server often jams up after I post a new
version of a book, so please be patient.

Anyone can sign up for this newsletter by sending an email
to [email-masked].

    Bruce Eckel

---
You are currently subscribed to eckel-oo-programming as: [email-masked]
To unsubscribe send a blank email to [email-masked]